Package org.jfree.layouting.input.style

## Class StyleSheet

- java.lang.Object
- - org.jfree.layouting.input.style.StyleSheet

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class StyleSheet
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  A CSS stylesheet. Unlike the W3C stylesheet classes, this class is a minimal set of attributes, designed with usablity and performance in mind.

  Stylesheets are resolved by looking at the elements. For the sake of simplicity, stylesheet objects itself do not hold references to their parent stylesheets.

  The W3C media list is omited - this library assumes the visual/print media. The media would have been specified in the document anyway, so we do not care.

  This class is a union of the W3C CSSStyleSheet and the CSSStyleRuleList. It makes no sense to separate them in this context.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleSheet​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNamespace​(java.lang.String prefix, java.lang.String uri)` |
    `void` | `addRule​(StyleRule rule)` |
    `void` | `addStyleSheet​(StyleSheet styleSheet)` |
    `java.lang.Object` | `clone​()` |
    `void` | `deleteRule​(int index)` |
    `java.lang.String[]` | `getNamespacePrefixes​()` |
    `java.util.Map` | `getNamespaces​()` |
    `java.lang.String` | `getNamespaceURI​(java.lang.String prefix)` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager​()` |
    `StyleRule` | `getRule​(int index)` |
    `int` | `getRuleCount​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getSource​()` |
    `StyleKeyRegistry` | `getStyleKeyRegistry​()` |
    `StyleSheet` | `getStyleSheet​(int index)` |
    `int` | `getStyleSheetCount​()` |
    `void` | `insertRule​(int index, StyleRule rule)` |
    `boolean` | `isReadOnly​()` |
    `void` | `removeStyleSheet​(StyleSheet styleSheet)` |
    `protected void` | `setReadOnly​(boolean readOnly)` |
    `void` | `setResourceManager​(org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager)` |
    `void` | `setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey href)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleSheet

          public StyleSheet​()

  - ### Method Detail

    - #### isReadOnly

          public boolean isReadOnly​()

    - #### setReadOnly

          protected void setReadOnly​(boolean readOnly)

    - #### getSource

          public org.pentaho.reporting.libraries.resourceloader.ResourceKey getSource​()

    - #### setSource

          public void setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey href)

    - #### setResourceManager

          public void setResourceManager​(org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager)

    - #### getResourceManager

          public org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager​()

    - #### addRule

          public void addRule​(StyleRule rule)

    - #### insertRule

          public void insertRule​(int index,
                                 StyleRule rule)

    - #### deleteRule

          public void deleteRule​(int index)

    - #### getRuleCount

          public int getRuleCount​()

    - #### getRule

          public StyleRule getRule​(int index)

    - #### addStyleSheet

          public void addStyleSheet​(StyleSheet styleSheet)

    - #### getStyleSheetCount

          public int getStyleSheetCount​()

    - #### getStyleSheet

          public StyleSheet getStyleSheet​(int index)

    - #### removeStyleSheet

          public void removeStyleSheet​(StyleSheet styleSheet)

    - #### addNamespace

          public void addNamespace​(java.lang.String prefix,
                                   java.lang.String uri)

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI​(java.lang.String prefix)

    - #### getNamespacePrefixes

          public java.lang.String[] getNamespacePrefixes​()

    - #### getNamespaces

          public java.util.Map getNamespaces​()

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getStyleKeyRegistry

          public StyleKeyRegistry getStyleKeyRegistry​()